SDL_GetRGB(3)

NAME
SDL_GetRGB - Get RGB values from a pixel in the specified format.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_GetRGB(Uint32 pixel, const SDL_PixelFormatDetails *format, const SDL_Palette *palette, Uint8 *r, Uint8 *g, Uint8 *b);

DESCRIPTION
This function uses the entire 8-bit [0..255] range when converting color components from pixel formats with less than 8-bits per RGB component (e.g., a completely white pixel in 16-bit RGB565 format would return [0xff, 0xff, 0xff] not [0xf8, 0xfc, 0xf8]).

FUNCTION PARAMETERS

pixel
    a pixel value.

format
    a pointer to SDL_PixelFormatDetails
     describing the pixel format.

palette
    an optional palette for indexed formats, may be NULL.

r   a pointer filled in with the red component, may be NULL.

g   a pointer filled in with the green component, may be NULL.

b   a pointer filled in with the blue component, may be NULL.

THREAD SAFETY
It is safe to call this function from any thread, as long as the palette is not modified.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPixelFormatDetails(3), •(3), SDL_GetRGBA(3), •(3), SDL_MapRGB(3), •(3), SDL_MapRGBA(3)